#ifndef CAMARA_H_
#define CAMARA_H_

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/io.h>
#include <errno.h>
#include <string.h>
#include <time.h>
#include "Aplicacao.h"

#define LPT1 0x378
#define TEMPO_ESPERA 10

enum _estados 
{
	reset, 
	aguardando, 
	login, 
	login_invalido, 
	passagem_permitida, 
	ninguem_passou, 
	esterilizar, 
	encerrar_esterilizacao,
	concluir_transito
};

typedef enum _estados Estado;

extern void criarArquivo(const char *arquivo);

extern void escreverLog(const char *string, int tamanho);

void enviaDados (unsigned char leds, unsigned char cooler, unsigned char alarme);

unsigned char updateInfreds ();

void imprimeMensagem(const char *mensagem);

void controleCamara ();

void habilitaAcessoPorta();

void teste();

#endif /*CAMARA_H_*/
