segment .data

segment .bss

descritor resw 2

segment	.text

%define PAR_STRING 	dword [ebp + 8]
%define PAR_ARQUIVO dword [ebp + 8]
%define PAR_TAMANHO dword [ebp + 12]

global escreverLog
global criarArquivo

;escreverLog(const char *string, const char *arquivo, int tamanho);
criarArquivo:

	push ebp
	mov ebp, esp
	
	mov ebx, PAR_ARQUIVO

	mov	eax, 8			; The syscall number for creat() (we already have the filename in ebx)
	mov	ecx, 00644Q		; Read/write permissions in octal (rw_rw_rw_)
	int	80h				; Call the kernel
						; Now we have a file descriptor in eax
						
	mov [descritor], eax

	test eax, eax		; Lets make sure the file descriptor is valid
	js	skipWrite		; If the file descriptor has the sign flag
						;  (which means it's less than 0) there was an oops,
						;  so skip the writing. Otherwise call the filewrite "procedure"
						
						
	pop ebp
	
	ret

skipWrite:
	mov	ebx, eax		; If there was an error, save the errno in ebx
	mov	eax, 1			; Put the exit syscall number in eax
	int	80h				; Bail out
	;mov eax, 2
	
	pop ebp
	
	ret


; proc fileWrite - write a string to a file
escreverLog:
	push ebp
	mov ebp, esp

	mov	ebx,[descritor]	; sys_creat returned file descriptor into eax, now move into ebx
	mov	eax,4			; sys_write
						; ebx is already set up
	mov	ecx,PAR_STRING	; We are putting the ADDRESS of hello in ecx
	mov	edx,PAR_TAMANHO	; This is the VALUE of helloLen because it's a constant (defined with equ)
	int	80h

	mov	eax, 6			; sys_close (ebx already contains file descriptor)
	int	80h
	mov eax, 3
	
	pop ebp
	
	ret
	